#####  Initialisation
# la liste des cartes
cartes = [101011, 110111, 100111, 101010, 101100]

##### Tri
echange = True
# tant qu'on a échangé des cartes on continue à les ranger
while echange:
    # Au début on a rien échangé
    echange = False
    # On va comparer les cartes 2 à 2
    # i va décrire la position de la carte 
    # On va la comparer avec la suivante (i+1)
    # i va aller de 1 au nombre de carte-1
    for i in range(0, len(cartes)-1):
        if cartes[i] > cartes[i+1]:
            # si la carte i est plus grande que la carte i+1
            # on les échanges
            cartes[i], cartes[i+1] = cartes[i+1], cartes[i]
            # On a fait un échange
            echange = True

###### Fin
# On affiche les cartes triées
print(cartes)

